summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorPedro Vicente Nunes <pvn@hdfgroup.org>2006-07-20 19:24:48 (GMT)
committerPedro Vicente Nunes <pvn@hdfgroup.org>2006-07-20 19:24:48 (GMT)
commit9ddb68e9f3c6ed2958f4d91942fadb6bb1876929 (patch)
tree1770455cd26241e8c70e78da543fcf67639d88d9 /tools
parent320a4f5e1fab706939e9967f35d4de9ecd2a13d1 (diff)
downloadhdf5-9ddb68e9f3c6ed2958f4d91942fadb6bb1876929.zip
hdf5-9ddb68e9f3c6ed2958f4d91942fadb6bb1876929.tar.gz
hdf5-9ddb68e9f3c6ed2958f4d91942fadb6bb1876929.tar.bz2
[svn-r12486] added some tests to the h5copy shell script
tested: shanti, mir
Diffstat (limited to 'tools')
-rw-r--r--tools/h5copy/testh5copy.sh30
1 files changed, 24 insertions, 6 deletions
diff --git a/tools/h5copy/testh5copy.sh b/tools/h5copy/testh5copy.sh
index c755503..4570341 100644
--- a/tools/h5copy/testh5copy.sh
+++ b/tools/h5copy/testh5copy.sh
@@ -13,6 +13,11 @@
# access to either file, you may request a copy from hdfhelp@ncsa.uiuc.edu.
#
# Tests for the h5copy tool
+#
+# Pedro Vicente Nunes
+# pvn@hdfgroup.org
+# Thursday, July 20, 2006
+#
H5COPY=h5copy # The tool name
H5COPY_BIN=`pwd`/$H5COPY # The path of the tool binary
@@ -38,7 +43,18 @@ TESTING() {
TOOLTEST() {
- TESTING $H5COPY $@
+ TESTING $H5COPY $@
+ (
+ cd $srcdir/../testfiles
+ $RUNSERIAL $H5COPY_BIN $@
+ ) > output.out
+ RET=$?
+ if [ $RET != 0 ] ; then
+ echo "*FAILED*"
+ nerrors="`expr $nerrors + 1`"
+ else
+ echo " PASSED"
+ fi
}
@@ -54,11 +70,13 @@ TOOLTEST() {
##############################################################################
-#TOOLTEST -v test1.h5/array test1.out.h5/array
+TOOLTEST -v test1.h5/array test1.out.h5/array
+TOOLTEST -v test1.h5/integer test1.out.h5/integer_copy
+TOOLTEST -v test1.h5/g1 test1.out.h5/g1
-#if test $nerrors -eq 0 ; then
-# echo "All h5copy tests passed."
-#fi
+if test $nerrors -eq 0 ; then
+ echo "All h5copy tests passed."
+fi
-#exit $nerrors
+exit $nerrors